#!/bin/sh

if ! [ "$(id -u)" = "0" ]; then
    echo "please perform as root, attempting to escalate privileges..."
    exec sudo $(cat /proc/$$/cmdline | sed 's/\x00/ /g')
    exit 1
fi

if cd /etc/ixvd/secrets; then
    git pull
    cd -
fi

git pull

if ! [ "${SKIP_SETUP:-no}" = "yes" ]; then
    skelsum=$(find skel | sha256sum)
    if ! [ "$(cat /etc/ixvd/skel-sum.txt)" = "$skelsum" ]; then
        echo "WARNING: IXVD SERVER SKELETON CHANGED!"
        echo "WARNING: Manual intervention is required."
        exit 1
    fi
    
    
    ./tools/server-setup.sh
fi
./tools/server-docker-compose.sh build --pull
./tools/server-docker-compose.sh pull